@setlocal
@echo off
: ===========================================================================================
:  IBM Rational Developer for System z 5724-T07
: 
:  Copyright IBM Corp. 2001, 2008 All rights reserved.
:  All rights reserved. US Government Users Restricted Rights - 
:  Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
: ===========================================================================================
:
: Set the defaults for eclipse_root and workspace
:
:IF ."%eclipse_root%".==."". set eclipse_root=%RDZ80INSTDIR%
IF ."%eclipse_root%".==."". set eclipse_root=@RDZINSTALLDIR@
IF ."%workspace%".==."".    set workspace=%eclipse_root%\workspace
set verbose=
set gen_conv=
set version=
set service_name=
set language_file=
set overwrite=
set ann=
set cmty=
set wspc=
set novalidation=

IF .%1.==.. GOTO promptuser

FOR /f %%z in ('dir /o:d /b "%eclipse_root%\plugins\org.eclipse.equinox.launcher*.jar"') do set eel=%%z
IF not %eel%==org.eclipse.equinox.launcher.jar copy /B /Y "%eclipse_root%\plugins\%eel%" "%eclipse_root%\plugins\org.eclipse.equinox.launcher.jar" >NUL

:setOptions
IF .%1.==.-whitespacecompat. (SET wspc=%1) & (SHIFT /1) & (GOTO setOptions)
IF .%1.==.-f. (SET import_file=%2) & (SHIFT /1) & (SHIFT /1) & (GOTO setOptions)
IF .%1.==.-s. (SET language_file=-s=%2) & (SHIFT /1) & (SHIFT /1) & (GOTO setOptions)
IF .%1.==.-d. (SET workspace=%~2) & (SHIFT /1) & (SHIFT /1) & (GOTO setOptions)
IF .%1.==.-e. (SET eclipse_root=%~2) & (SHIFT /1) & (SHIFT /1) & (GOTO setOptions)
IF .%1.==.-w. (SET service_name=-w=%2) & (SHIFT /1) & (SHIFT /1) & (GOTO setOptions)
IF .%1.==.-verbose. (SET verbose=%1) & (SHIFT /1) & (GOTO setOptions)
IF .%1.==.-version. (SET version=%1) & (SHIFT /1) & (GOTO setOptions)
IF .%1.==.-c. (SET gen_conv=%1) & (SHIFT /1) & (GOTO setOptions)
IF .%1.==.-novalidation. (SET novalidation=%1) & (SHIFT /1) & (GOTO setOptions)
IF .%1.==.-annot. (SET ann=-annot=%2) & (SHIFT /1) & (SHIFT /1) & (GOTO setOptions)
IF .%1.==.-commtypes. (SET cmty=-commtypes=%2) & (SHIFT /1) & (SHIFT /1) & (GOTO setOptions)
IF .%1.==.-overwrite. (SET overwrite=-ow=%2) & (SHIFT /1) & (SHIFT /1) & (GOTO setOptions)
IF NOT .%1.==.. (GOTO promptuser)

if .%version%.==.-version. GOTO displayVer

IF .%import_file%.==.. GOTO promptuser
:IF .%language_file%.==.. GOTO promptuser

:======================
:Get the console codepage
:======================
FOR /F "tokens=2 delims=/:" %%i in ('chcp') do set currentCodepage=%%i

:======================
:Run the plugin
:======================
echo %~n0 begins...:
"%eclipse_root%\jdk\jre\bin\java" -Xj9 -Xmx256M -verify -Dimport.batch.cp="%currentCodepage%" -cp "%eclipse_root%\plugins\org.eclipse.equinox.launcher.jar" org.eclipse.core.launcher.Main -data "%workspace%" -application com.ibm.etools.xmlent.batch.BatchProcess %language_file% %gen_conv% %wspc% %service_name%  -file=%import_file%  %verbose% %version% %overwrite% %ann% %cmty% %novalidation%
echo %~n0 complete.
goto outtahere
:displayVer
echo Version 8.0.0
goto outtahere
:promptuser
echo The correct usage of this tool is described in the on-line documentation
echo for Rational Developer for System z. 
goto outtahere
:errorstartup
echo Error creating startup jar.
:outtahere
endlocal